*{
    margin: 0;
    font-family: arial;
    border: border-box;
}

.navbar{
    height: 60px;
    background-color: #131921;
    color: white;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/* box 1 */

.nav_logo{
    height: 50px;
    width: 100px;
   
}

.border{
    border: 1.5px solid transparent;
}

.border:hover{
    border: 1.5px solid white;
}

.logo{
    background-size: cover;
    background-image: url(images/amazon_logo.png);
    height: 50px;
    width: 100%
}

/* box 2 */

.nav_address{
    margin: 1px;
    
}

.add_icon{
    display: flex;
    align-items: center;
}

.upper{
    color: #cccccc;
    font-size: 0.85rem;
    margin-left: 17px;
}

.lower{
    font-size: 1rem;
}

/* box 3 */

.nav_search{
    display: flex;
    align-items: center;
    width: 500px;
    flex:1;
    margin: 0 20px;
}

.nav_search:hover{
    border: 2px solid #febd68;
}
select{
    height: 40px;
    width: 40px;
    border: 1px solid #131921;
    border: none;
    background-color: #f3f3f3;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}

input{
    height: 38px;
    width: 100%;
    border: 1px solid #131921;
    border: none;
}

.search_butt{
    height: 40px;
    width: 45px;
    background-color: #febd68;
    display: flex;
    align-items: center;
    justify-content: center;
    color:#131921;
    font-size: 1.2rem;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}

.nav_right{
    display: flex;
    align-items: center;
    gap: 17px;

}

/* box 4 */

.flag_image{
    background-image: url(images/flag.png);
    background-size: cover;
    height: 16px;
    width: 20px;
    
}

.language{
    display: flex;
    align-items: center;
    
}

.lang_name{
    height: 16px;
    width: 40px;
    background-color: #131921;
    color: white;
    font-weight: bold;
}

/* box 5 */

.hello{
    font-size: 0.85rem;
}

.account{
    font-weight: bold;
}

/* box 6 */


.cart{
    display: flex;
    align-items: center;
    font-size: 2rem;
    padding-right: 10px;
}

.cart_text{
    font-size: 0.85rem;
    font-weight: 700;
    align-self: flex-end;
}

/* panel */

.panel{
    background-color: #232F3E;
    color: white;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 40px;
}

a{
    text-decoration: none;
    color: white;
    height: 30px;
    margin: 10px; 
}

a:hover{
    border: 1.5px solid white;
}


.menu_panel{
    margin-left: 10px;
    margin-right: 10px;
    display: flex;
    align-items: center;
}

.panel_links{
    width: 100%;
}

.all{
    display: flex;
    align-items: center;
}
/* hero_section */

.hero_section{
    background-image: 
        linear-gradient(to bottom, rgba(0,0,0,0) 60%, #d1e4d5 100%),
        url(images/hero_image.jpg);
    height: 300px;
    background-size: cover;
    display:flex;
    justify-content: center;
}

.hero_in{
    border: 1.5px solid transparent;
    text-decoration: none;
    color: #2162A1;
    display: flex;
    align-items: center;
    justify-content: center;
}

.hero_in:hover{
    text-decoration: underline;
}

.hero_text{
    background-color: white;
    position: relative;
    width: 1000px;
    height: 40px;
    align-self: flex-end;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 0.85rem;
    position: relative;
    bottom: 25px;
}

/* cards */

.cards{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    background-color: #d1e4d5;
    gap: 20px;
    padding: 10px 0;
}

.box{
    width: 340px;
    height: 420px;
    background-color: white;
    border-radius: 4px;
}

.photo{
    height: 320px;
    width: 100%;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    margin-top: 10px;
    margin-bottom: 23px;
}

.cards_content{
    padding: 10px 20px;
}

.cards_content a{
    color: #2162A1;
    font-size: 0.85rem;
}

/* footer */

footer{
        margin-top: 20px;
}

.footer_panel1{
    height: 29px;
    background-color: #37475A;
    color: white;
    text-align: center;
    font-size: 0.85rem;
    padding: 10px 0px 10px 0px;
}

.footer_panel2{
    background-color: #233145;
    color: white;
    display: flex;
    justify-content: space-evenly;
    padding-left: 200px;
    padding-right: 200px;
}

.footer_box{
    height: 400px;
    width: 200px;
    white-space: nowrap;
}

.footer_box a{
    color: #dddddd;
    font-size: 0.85rem;
    display: block;
    margin: 2px 0;
}

.footer_box a:hover{
    text-decoration: underline;
    border: none;
}

.footer_title{
    font-weight: bold;
    margin-bottom: 20px;
    margin-top: 80px;
}

.footer_panel3{
    background-color: #131921;
    color: white;
    font-size: 0.75rem;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 15px 60px;         
    max-width: 1000px;      
    margin: 0 auto;          
    padding: 40px 0;  
    
}

.footer_panel3_outer{
    background-color: #131921;
}

.footer_span{
    color: #f3f3f3;
}

.footer_panel3 div{
    height: auto;
    width: auto;                      
}

.footer_panel3 div:hover{
    text-decoration: underline;
}

.footer_panel4{
    height: 90px;
    color: white;
    font-size: 0.75rem;
    text-decoration: none;
    background-color: #131921;
    padding-top: 30px;
}

.footer_panel4 a:hover{
    text-decoration: underline;
    border: none;
}

.footer4_links{
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer_panel4 p{
    display: flex;
    justify-content: center;
    align-items: center;
}